[Overview][Constants][Classes][Index] | Reference for unit 'bufstream' (#fcl)

# TWriteBufStream.Destroy

Remove the TWriteBufStream instance from memory

## Declaration

Source position: bufstream.pp line 71

`public destructor TWriteBufStream.Destroy; override;`

## Description

Destroy flushes the buffer and then calls the inherited Destroy.

## Errors

If an error occurs during flushing of the buffer, an exception may be raised.

## See also

Create |  | Create a new TBufStream instance.
TBufStream.Destroy |  | Destroys the TBufStream instance